%define  patch_name kernel-feat-i2c

Name: %patch_name
Version: 2.8.3
Release: alt1

Summary: %patch_name kernel patch - I2C driver updates and fixes
License: GPL
Group: Development/Other
URL: http://secure.netroedge.com/~lm78/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

Source0: %url/archive/i2c-%version.tar.bz2

%source  1	01_i2c-2.8.0-fixes.patch
%source  2	02_i2c-2.8.0-more-fixes.patch

Source1000: %name.sh.in

BuildPreReq: kernel-build-tools

%description
This patch updates the I2C subsystem in the kernel to the latest version.

%install
%__mkdir_p %patches_dir/%patch_name/patches/
%__install -p -m644 %SOURCE0 %patches_dir/%patch_name/

for f in %_src_list; do
	%__install -p -m644 %_sourcedir/"$f" \
		%patches_dir/%patch_name/patches/
done

%__mkdir_p %patches_dir/apply/
%__sed -e 's/@VERSION@/%version/g' < %SOURCE1000 > %patches_dir/apply/%name
%__chmod 755 %patches_dir/apply/%name

%files
%_usrsrc/*

%changelog
* Sun Feb 01 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.3-alt1
- 2.8.3 release.

* Sun Dec 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.2-alt1
- 2.8.2 release.

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.1-alt1
- 2.8.1 release.
- Removed patches: 03_i2c-2.8.0-check-addr-fix.patch,
  04_i2c-2.8.0-i2c-dev-fix.patch (fixed upstream).
- Removed old cruft from spec.

* Fri Sep 12 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.0-alt5
- removed bttv patch (relocated to kernel-feat-bttv)

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2.8.0-alt4
- update for kernel 2.4.22

* Mon Aug 04 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.0-alt3
- Added:
  + 04_i2c-2.8.0-i2c-dev-fix.patch - i2c-dev bugfix (memory leak and unsafe
    userspace pointer dereference).

* Wed Jul 23 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.0-alt2
- Reverted apply method to the one used in 2.7.0-alt1 (call mkpatch.pl from the
  apply script).
- Enhanced the apply script to make it apply additional patches.

* Tue Jul 22 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.0-alt1
- 2.8.0 release.
- Changed apply method: run mkpatch.pl during package build time, not at apply
  time. Now this package uses the standard apply method.
- Added patches:
  + i2c-2.8.0-fixes - changes to other in-kernel drivers to make them work with
    the new I2C API.
  + i2c-2.8.0-more-fixes.patch - fixes to the above fixes :-)
  + bttv-i2c-2.8.0.patch - modification to kernel-feat-bttv for the new I2C API
    (applied only if kernel-feat-bttv was applied previously).
   + i2c-2.8.0-check-addr-fix.patch - fixes check for duplicate addresses.

* Sun Jun 22 2003 Sergey Vlasov <vsu@altlinux.ru> 2.7.0-alt1
- First version.
